Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 238890 - gutenprint-foomatic doesn't get installed on updates
Summary: gutenprint-foomatic doesn't get installed on updates
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gutenprint
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 239003
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2007-05-03 17:41 UTC by Thorsten Leemhuis
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: F-7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-11 09:55:53 UTC


Attachments (Terms of Use)

Description Thorsten Leemhuis 2007-05-03 17:41:36 UTC
Description of problem:
I yum updated two systems to rawhide weeks ago (I know, this is not supported,
but I doubt its different when updating with anaconda). I noticed that
gutenprint-foomatic was not installed on both of them. gutenprint itself was, as
it obsoletes gimp-print. But gutenprint is not much worth without
gutenprint-foomatic, as you can't configure gutenprint drivers without
gutenprint-foomatic afaics . Maybe a better placed obsoletes (maybe just move
the current one itto the gutenprint-foomatic package, as that will track in the
main gutenprint package automatically afterwards) or an additional one (not
sure) might get gutenprint-foomatic tracked in automatically, too.  

Version-Release number of selected component (if applicable):
gutenprint-5.0.0.99.1-2.fc7

Would be nice to see this fixed before releasing F7, as the current behavior
otherwise might confuse users a lot.

Comment 1 Tim Waugh 2007-05-04 12:03:28 UTC
Yes, it should be moved to gutenprint-foomatic.  Good catch!

Comment 2 Tim Waugh 2007-05-04 14:15:57 UTC
Build blocked by GCC bug #239003.

Comment 3 Thorsten Leemhuis 2007-05-04 14:45:53 UTC
(In reply to comment #1)
> Good catch!

Well, after filing this bug I wasn't sure anymore if gutenprint-foomatic
actually is needed to use gutenprint, but according to your reaction it seems so.

While investigating I noticed two other things in in comp.xml (see
http://cvs.fedora.redhat.com/viewcvs/comps/comps-f7.xml.in?root=extras&view=marku
): 

- gutenprint is listed in the group "graphics" ("This group includes packages to
help you manipulate and scan images."). Sounds wrong to me -- "Printing" might
be the better place afaics. 

- I can't see gutenprint-foomatic in comps.xml at all. Shouldn't that be added
to the printing group, too? Likely marked as 'type="default"', so it gets
installed when people choose the printing group? 

Comment 4 Tim Waugh 2007-05-04 15:25:23 UTC
Well, gutenprint-foomatic isn't *needed* for printing: you can install
gutenprint-cups instead and use the native CUPS drivers.  But we used to ship
the equivalent of guteprint-foomatic in with the foomatic package back when
gimp-print was used.

I've filed bug #239033 to track those comps issues.


Note You need to log in before you can comment on or make changes to this bug.